Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.accounting
Class AccountEntryValue

    java.lang.Object
      |
      +--theory.smart.foundation.SmartValue
            |
            +--theory.smart.axiom.accounting.AccountEntryValue

public class AccountEntryValue
extends SmartValue

An Account Entry is synonymous with a transaction. In most cases it records the movement of an entity from one account to another. In such cases the Account Entry is shared by the two accounts involved in the transaction. In cases where it is associated with a single account it records the entry, or exit, of the entity into, or from, the accounting system. Each AccountEntry includes two separate dates. The booked date is the date on which the transaction was initially recorded. The charged date represents the successful completion of the transaction.

See Also:
  `AccountEntry`, `AccountEntryHome`, `AccountEntry.getAccountEntryByValue()`, `AccountEntry.setAccountEntryByValue(AccountEntryValue)`, Serialized Form

Field Summary
`Quantity` | `amount` amount [AccountEntry] <*>------> [`theory.smart.axiom.units.Quantity`]
`java.sql.Date` | `booked` booked [AccountEntry] <*>------> [`java.sql.Date`]
`java.sql.Date` | `charged` charged [AccountEntry] <*>------> [`java.sql.Date`]
`SmartHandle` | `from` from [AccountEntry] <>------> [`theory.smart.axiom.accounting.Account`]
`java.lang.String` | `identifier` identifier [AccountEntry] <*>------> [`String`] (Primary Key)
`java.lang.String` | `memo` memo [AccountEntry] <*>------> [`String`]
`SmartHandle` | `to` to [AccountEntry] <>------> [`theory.smart.axiom.accounting.Account`]

Constructor Summary
`protected` | `AccountEntryValue()` Only get/setAccountEntryByValue methods are allowed to call this constructor.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    public java.lang.String identifier

                        identifier
       [AccountEntry] <*>------> [String] (Primary Key)

### booked

    public java.sql.Date booked

                        booked
       [AccountEntry] <*>------> [java.sql.Date]

### charged

    public java.sql.Date charged

                        charged
       [AccountEntry] <*>------> [java.sql.Date]

### memo

    public java.lang.String memo

                        memo
       [AccountEntry] <*>------> [String]

### amount

    public Quantity amount

                        amount
       [AccountEntry] <*>------> [theory.smart.axiom.units.Quantity]

### from

    public SmartHandle from

                        from
       [AccountEntry] <>------> [theory.smart.axiom.accounting.Account]

### to

    public SmartHandle to

                        to
       [AccountEntry] <>------> [theory.smart.axiom.accounting.Account]

Constructor Detail

### AccountEntryValue

    protected AccountEntryValue()

  Only get/setAccountEntryByValue methods are allowed to call this constructor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.